> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chatzy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Temporary Token for SSE

> Generates a temporary JWT token to be used for streaming responses via the `/get-response` SSE endpoint.

This endpoint generates a temporary token to be used for streaming responses via the `/get-response` SSE endpoint.

This can be used when response from the `/get_stream_status` endpoint is `stream_status : is_streaming` and `response_processing_status: null` ([Case 1](/api-reference/conversational-ai-agent-interactions/get-stream-status#case-1%3A-stream-not-started-yet) in **Stream Status** section).


## OpenAPI

````yaml get /generate_secret
openapi: 3.0.0
info:
  title: Chatzy AI API
  version: 1.0.0
  description: >-
    Chatzy AI REST API for messaging, contact conversations, and agent
    interactions.
  contact:
    name: Chatzy
    url: https://chatzy.ai
    email: support@chatzy.ai
servers:
  - url: https://vevdoh3hve.execute-api.us-east-1.amazonaws.com/prod
    description: Production Server
security: []
tags:
  - name: Authentication
    description: Authentication to access the API
  - name: Contact Conversations
    description: Get contact conversations
  - name: Conversational AI Agent Interactions
    description: Interact with the conversational AI agent
  - name: Authorized iframe Access
    description: APIs for authorized iframe access
paths:
  /generate_secret:
    get:
      tags:
        - Conversational AI Agent Interactions
      summary: Generate Temporary Token for SSE
      description: >-
        Generates a temporary JWT token to be used for streaming responses via
        the `/get-response` SSE endpoint.
      parameters:
        - name: conversation_id
          in: query
          required: true
          schema:
            type: string
            format: uuid
          description: Conversation ID to generate a temporary token for.
      responses:
        '200':
          description: Token generated successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      temp_token:
                        type: string

````